<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="solicitacao">
      <h2 data-cy="solicitacaoDetailsHeading"><span jhiTranslate="madmApp.solicitacao.detail.title">Solicitacao</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="global.field.id">ID</span></dt>
        <dd>
          <span>{{ solicitacao.id }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.solicitacao.codSolicitacao">Cod Solicitacao</span></dt>
        <dd>
          <span>{{ solicitacao.codSolicitacao }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.solicitacao.codUsuario">Cod Usuario</span></dt>
        <dd>
          <span>{{ solicitacao.codUsuario }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.solicitacao.tipoSolicitacao">Tipo Solicitacao</span></dt>
        <dd>
          <span jhiTranslate="{{ 'madmApp.TipoSolicitacao.' + solicitacao.tipoSolicitacao }}">{{ solicitacao.tipoSolicitacao }}</span>
        </dd>
        <dt><span jhiTranslate="madmApp.solicitacao.agenda">Agenda</span></dt>
        <dd>
          <div *ngIf="solicitacao.agenda">
            <a [routerLink]="['/agenda', solicitacao.agenda?.id, 'view']">{{ solicitacao.agenda?.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/solicitacao', solicitacao.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
